From: "Georgy Yakovlev" <gyakovlev@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/keystone/
Date: Fri, 19 Jun 2020 01:33:30 +0000 (UTC) [thread overview]
Message-ID: <1592530385.702b7bba86ac86a7e90b6c8dfa37d90ae9ae4f16.gyakovlev@gentoo> (raw)
commit: 702b7bba86ac86a7e90b6c8dfa37d90ae9ae4f16
Author: Georgy Yakovlev <gyakovlev <AT> gentoo <DOT> org>
AuthorDate: Fri Jun 19 00:57:27 2020 +0000
Commit: Georgy Yakovlev <gyakovlev <AT> gentoo <DOT> org>
CommitDate: Fri Jun 19 01:33:05 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=702b7bba
dev-libs/keystone: rework live ebuild
bump to EAPI=7
migrate to cmake.eclass
honor Gentoo CMAKE_BUILD_TYPE
make python truly optional
bump python targets
use llvm.eclass (limit to llvm10 for now)
keyword on ~ppc64
Issue: https://github.com/gentoo/gentoo/pull/11828
Bug: https://bugs.gentoo.org/685000
Bug: https://bugs.gentoo.org/712354
Bug: https://bugs.gentoo.org/718276
Bug: https://bugs.gentoo.org/652440
Package-Manager: Portage-2.3.101, Repoman-2.3.22
Signed-off-by: Georgy Yakovlev <gyakovlev <AT> gentoo.org>
dev-libs/keystone/keystone-9999.ebuild | 41 +++++++++++++++++++++-------------
1 file changed, 26 insertions(+), 15 deletions(-)
diff --git a/dev-libs/keystone/keystone-9999.ebuild b/dev-libs/keystone/keystone-9999.ebuild
index dba275576be..a4863b0bced 100644
--- a/dev-libs/keystone/keystone-9999.ebuild
+++ b/dev-libs/keystone/keystone-9999.ebuild
@@ -1,13 +1,12 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=6
+EAPI=7
DISTUTILS_OPTIONAL=1
-CMAKE_MIN_VERSION=3.8.7
-PYTHON_COMPAT=( python3_6 )
+PYTHON_COMPAT=( python3_{6,7,8} )
-inherit cmake-utils distutils-r1
+inherit cmake distutils-r1 llvm
DESCRIPTION="assembly/assembler framework + bindings"
HOMEPAGE="http://www.keystone-engine.org/"
@@ -18,7 +17,7 @@ if [[ ${PV} == 9999* ]]; then
KEYWORDS=""
else
SRC_URI="https://github.com/keystone-engine/keystone/archive/${PV/_rc/-rc}.tar.gz -> ${P}.tar.gz"
- KEYWORDS="~amd64 ~arm ~x86"
+ KEYWORDS="~amd64 ~arm ~ppc64 ~x86"
fi
LICENSE="GPL-2"
@@ -30,19 +29,28 @@ ALL_LLVM_TARGETS=( "${ALL_LLVM_TARGETS[@]/#/llvm_targets_}" )
LLVM_TARGET_USEDEPS=${ALL_LLVM_TARGETS[@]/%/?}
IUSE="python ${ALL_LLVM_TARGETS[*]}"
-RDEPEND="sys-devel/llvm:=[${LLVM_TARGET_USEDEPS// /,}]
- ${PYTHON_DEPS}
+
+LLVM_MAX_SLOT=10
+
+RDEPEND="
+ <sys-devel/llvm-11:=
+ || (
+ sys-devel/llvm:8[${LLVM_TARGET_USEDEPS// /,}]
+ sys-devel/llvm:9[${LLVM_TARGET_USEDEPS// /,}]
+ sys-devel/llvm:10[${LLVM_TARGET_USEDEPS// /,}]
+ )
+ python? ( ${PYTHON_DEPS} )
"
+
DEPEND="${RDEPEND}"
+
REQUIRED_USE="
- ${PYTHON_REQUIRED_USE}
|| ( ${ALL_LLVM_TARGETS[*]} )
+ python? ( ${PYTHON_REQUIRED_USE} )
"
S=${WORKDIR}/${P/_rc/-rc}
-CMAKE_BUILD_TYPE=RelWithDebInfo
-
wrap_python() {
if use python; then
pushd bindings/python >/dev/null || die
@@ -53,29 +61,32 @@ wrap_python() {
src_prepare() {
default
- cmake-utils_src_prepare
+ sed -i '/NOT uppercase_CMAKE_BUILD_TYPE MATCHES/ s/DEBUG/GENTOO|DEBUG/' \
+ llvm/CMakeLists.txt || die
+ cmake_src_prepare
wrap_python ${FUNCNAME}
}
src_configure() {
+ local libdir="$(get_libdir)"
local mycmakeargs=(
+ -DCMAKE_CONFIGURATION_TYPES="Gentoo"
-DLLVM_LIBDIR_SUFFIX=${libdir#lib}
-
-DBUILD_SHARED_LIBS=ON
-DLLVM_TARGETS_TO_BUILD="${LLVM_TARGETS// /;}"
-DLLVM_HOST_TRIPLE="${CHOST}"
)
- cmake-utils_src_configure
+ cmake_src_configure
wrap_python ${FUNCNAME}
}
src_compile() {
- cmake-utils_src_compile
+ cmake_src_compile
wrap_python ${FUNCNAME}
}
src_install() {
- cmake-utils_src_install
+ cmake_src_install
wrap_python ${FUNCNAME}
}
next reply other threads:[~2020-06-19 1:33 UTC|newest]
Thread overview: 32+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-06-19 1:33 Georgy Yakovlev [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-08-06 11:10 [gentoo-commits] repo/gentoo:master commit in: dev-libs/keystone/ Sam James
2024-08-06 11:10 Sam James
2024-03-01 3:54 Sam James
2024-02-15 7:07 Joonas Niilola
2024-02-15 7:00 Joonas Niilola
2024-01-08 13:50 Joonas Niilola
2024-01-08 13:50 Joonas Niilola
2023-09-18 7:40 Sam James
2023-04-28 6:31 Sam James
2023-04-28 6:31 Sam James
2023-04-25 21:30 Sam James
2023-04-25 21:30 Sam James
2023-04-25 21:30 Sam James
2023-04-14 4:04 Sam James
2023-01-04 18:36 Arthur Zamarin
2023-01-04 18:36 Arthur Zamarin
2022-10-05 7:16 Joonas Niilola
2022-08-31 1:24 Sam James
2022-08-13 7:59 Matthew Smith
2022-08-13 7:59 Matthew Smith
2022-08-13 7:59 Matthew Smith
2022-08-13 7:59 Matthew Smith
2022-04-05 3:08 Sam James
2021-11-08 11:25 Michał Górny
2021-09-19 5:36 Sam James
2021-01-01 0:53 Michał Górny
2020-07-16 14:39 Joonas Niilola
2020-06-28 20:51 Aaron Bauman
2020-06-19 1:33 Georgy Yakovlev
2017-12-16 13:55 Ulrich Müller
2017-12-13 9:03 Patrice Clement
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1592530385.702b7bba86ac86a7e90b6c8dfa37d90ae9ae4f16.gyakovlev@gentoo \
--to=gyakovlev@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox